Cyberduck Mountain Duck CLI

#6187 closed defect (thirdparty)

Failure invalidating file

Reported by: Sendtoswansea Owned by: dkocher
Priority: high Milestone: 4.1.3
Component: cloudfiles Version: 4.1
Severity: critical Keywords: rackspace invalidate
Cc: Architecture:
Platform: Windows 7

Description

We're trying to invalidate specific files that already exist on rackspace, however, when clicking invalidate, cyberduck fails with error. (please see attached image). I've spoken to rackspace and they said they've just updated their api and reckon it's cyberduck that is causing an issue and not rackspace. Can you clear this up for me?

Kind Regards,

Paul Evans.

Attachments (1)

error.jpg (81.9 KB) - added by Sendtoswansea on Sep 1, 2011 at 5:06:36 PM.
Image of error

Download all attachments as: .zip

Change History (7)

Changed on Sep 1, 2011 at 5:06:36 PM by Sendtoswansea

Image of error

comment:2 Changed on Sep 2, 2011 at 8:03:21 AM by dkocher

  • Milestone set to 4.1.3
  • Summary changed from Can't invalidate a rackspace cdn file to Failure invalidating file

comment:3 Changed on Sep 2, 2011 at 8:18:30 AM by dkocher

I can replicate the issue. Another sample of HTTP messages

DELETE /v1/MossoCloudFS_c3fe4d48-19b5-4040-abbd-90381795f84d/sudo/Lumbrein-09.zip HTTP/1.1
X-Auth-Token: XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
Host: cdn.clouddrive.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.1.2 (Mac OS X/10.6.8) (i386)
HTTP/1.1 400 Bad Request
Date: Fri, 02 Sep 2011 08:08:24 GMT
Server: Apache
X-Akam-Est-Time: -1
X-Akam-Result-Code: 332
Content-Length: 0
Connection: close
Content-Type: text/plain; charset=UTF-8

I am not aware of any changes to the purging of CDN enabled objects in the developer documentation for Cloudfiles.

Last edited on Sep 2, 2011 at 2:25:34 PM by dkocher (previous) (diff)

comment:4 Changed on Sep 2, 2011 at 2:10:56 PM by Sendtoswansea

We've tried it with their api too, noticed that when we send for example :

DELETE /v1/MossoCloudFS_c3fe4d48-19b5-4040-abbd-90381795f84d/sudo/Lumbrein-09.zip HTTP/1.1

as in you example it would fail, yet now, it seems sending the same thing with a bit of urlencoding works:

DELETE /v1/MossoCloudFS_c3fe4d48-19b5-4040-abbd-90381795f84d/sudo%2FLumbrein-09.zip HTTP/1.1
Last edited on Sep 2, 2011 at 2:13:20 PM by dkocher (previous) (diff)

comment:5 Changed on Sep 2, 2011 at 2:13:36 PM by dkocher

This is a regression of the same issue as previously reported in #5822.

comment:6 Changed on Sep 2, 2011 at 2:39:43 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

The issue was reported to Rackspace and work is in progress to fix the issue on their systems.

Note: See TracTickets for help on using tickets.
swiss made software